### Function

# GimpUi window_set_transient_for

since: 3.0

#### Declaration [src]

    void
    gimp_window_set_transient_for (
      GtkWindow* window,
      GBytes* handle
    )

#### Description [src]

Indicates to the window manager that `window` is a transient dialog to the window identified by `handle`.

Note that `handle` is an opaque data, which you should not try to construct yourself or make sense of. It may be different things depending on the OS or even the display server. You should only use a handle returned by `gimp_progress_get_window_handle()`, `gimp_display_get_window_handle()` or `gimp_dialog_get_native_handle()`.

Most of the time you will want to use the convenience function `gimp_window_set_transient()`.

Available since: 3.0

#### Parameters

`window`

  Type: `GtkWindow`

  The `GtkWindow` that should become transient.

  The data is owned by the caller of the function.

`handle`

  Type: `GBytes`

  Handle of the window that should become the parent.

  The data is owned by the caller of the function.